PHP Manual
Prev |  | Next

# SDO_DataObject::createDataObject

(no version information, might be only in CVS)

SDO_DataObject::createDataObject -- Create a child SDO_DataObject

## Description

SDO_DataObject SDO_DataObject::createDataObject ( mixed identifier )

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

Create a child SDO_DataObject of the default type for the property identified. The data object is automatically inserted into the tree and a reference to it is returned.

## Parameters

identifier

  Identifies the property for the data object type to be created. Can be either a property name (string), a property index (int), or an SDO_Model_Property.

## Return Values

Returns the newly created SDO_DataObject.

## Errors/Exceptions

SDO_PropertyNotFoundException

  Thrown if the identifier does not correspond to a property of the data object.

Prev | Home | Next
SDO_DataObject::clear | Up | SDO_DataObject::getContainer